## org.codehaus.plexus.logging
Interface Logger

All Known Implementing Classes:
  AbstractLogger

    public interface Logger

Version:
  $Id: Logger.java 4796 2006-11-23 21:24:11Z jvanzyl $
Author:
  Jason van Zyl, Trygve Laugstøl

Field Summary
`static int` `LEVEL_DEBUG` Typecode for debugging messages.
`static int` `LEVEL_DISABLED` Typecode for disabled log levels.
`static int` `LEVEL_ERROR` Typecode for error messages.
`static int` `LEVEL_FATAL` Typecode for fatal error messages.
`static int` `LEVEL_INFO` Typecode for informational messages.
`static int` `LEVEL_WARN` Typecode for warning messages.

Method Summary
`void` `debug(java.lang.String message)`
`void` `debug(java.lang.String message, java.lang.Throwable throwable)`
`void` `error(java.lang.String message)`
`void` `error(java.lang.String message, java.lang.Throwable throwable)`
`void` `fatalError(java.lang.String message)`
`void` `fatalError(java.lang.String message, java.lang.Throwable throwable)`
`Logger` `getChildLogger(java.lang.String name)`
`java.lang.String` `getName()`
`int` `getThreshold()`
`void` `info(java.lang.String message)`
`void` `info(java.lang.String message, java.lang.Throwable throwable)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `setThreshold(int threshold)`
`void` `warn(java.lang.String message)`
`void` `warn(java.lang.String message, java.lang.Throwable throwable)`

Field Detail

### LEVEL_DEBUG

    static final int LEVEL_DEBUG

  Typecode for debugging messages.

  See Also:
    Constant Field Values

### LEVEL_INFO

    static final int LEVEL_INFO

  Typecode for informational messages.

  See Also:
    Constant Field Values

### LEVEL_WARN

    static final int LEVEL_WARN

  Typecode for warning messages.

  See Also:
    Constant Field Values

### LEVEL_ERROR

    static final int LEVEL_ERROR

  Typecode for error messages.

  See Also:
    Constant Field Values

### LEVEL_FATAL

    static final int LEVEL_FATAL

  Typecode for fatal error messages.

  See Also:
    Constant Field Values

### LEVEL_DISABLED

    static final int LEVEL_DISABLED

  Typecode for disabled log levels.

  See Also:
    Constant Field Values

Method Detail

### debug

    void debug(java.lang.String message)

### debug

    void debug(java.lang.String message,
               java.lang.Throwable throwable)

### isDebugEnabled

    boolean isDebugEnabled()

### info

    void info(java.lang.String message)

### info

    void info(java.lang.String message,
              java.lang.Throwable throwable)

### isInfoEnabled

    boolean isInfoEnabled()

### warn

    void warn(java.lang.String message)

### warn

    void warn(java.lang.String message,
              java.lang.Throwable throwable)

### isWarnEnabled

    boolean isWarnEnabled()

### error

    void error(java.lang.String message)

### error

    void error(java.lang.String message,
               java.lang.Throwable throwable)

### isErrorEnabled

    boolean isErrorEnabled()

### fatalError

    void fatalError(java.lang.String message)

### fatalError

    void fatalError(java.lang.String message,
                    java.lang.Throwable throwable)

### isFatalErrorEnabled

    boolean isFatalErrorEnabled()

### getChildLogger

    Logger getChildLogger(java.lang.String name)

### getThreshold

    int getThreshold()

### setThreshold

    void setThreshold(int threshold)

### getName

    java.lang.String getName()

Copyright © 2011. All Rights Reserved.